Bug 691187 (flashJSF15) - several bugs nspluginwrapper 32 and 64bit + firefox4 fedora 14 and alpha 15
Summary: several bugs nspluginwrapper 32 and 64bit + firefox4 fedora 14 and alpha 15
Keywords:
Status: CLOSED WORKSFORME
Alias: flashJSF15
Product: Fedora
Classification: Fedora
Component: nspluginwrapper
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-27 11:52 UTC by datahal42
Modified: 2018-04-11 11:33 UTC (History)
11 users (show)

Fixed In Version: nspluginwrapper-1.3.2-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-10 03:31:56 UTC


Attachments (Terms of Use)
Flash flickering example (235.92 KB, image/png)
2011-05-04 13:54 UTC, rvcsaba
no flags Details
nspluginwrapper debug log (44.67 KB, text/plain)
2011-07-01 21:21 UTC, Diego Calleja
no flags Details


Links
System ID Priority Status Summary Last Updated
Mozilla Foundation 588749 None None None Never
Mozilla Foundation 603397 None None None Never
Mozilla Foundation 629472 None None None Never

Description datahal42 2011-03-27 11:52:20 UTC
nspluginwrapper  thats several bugs only in firefox 4

some sites like this http://www.fox.com/house/

no problem in youtube and other. 

every issues in Advertising   

for more references: 

http://forums.fedoraforum.org/showthread.php?t=260535

I have erased the nspluginwrapper i686 and 64bit

now there is no problem . only in firefox4.

thanks.

Comment 1 datahal42 2011-03-27 11:59:58 UTC
flashplayer 32 and 64 bit

Comment 2 Matthias Runge 2011-03-28 07:19:28 UTC
I noticed flickering and white boxes in flash (films, but even other graphics)

The flickering etc. disappeared after deinstalling nspluginwrapper. Did not notice a regression since then.

For me, it looks like a refresh problem. @neo32: does uninstalling nspluginwrapper solve your problem?

Comment 3 eagleton 2011-03-28 07:26:34 UTC
While I'm not neo32, I'm having the same problem with the white boxes and uninstalling nspluginwrapper solves it.

Curiously, the Firefox build from Mozilla does work well with nspluginwrapper, as opposed to Remi's and Spot's rpms.

Comment 4 datahal42 2011-03-28 08:30:56 UTC
im neo32 and datahal42 . Eagleton is another person, I solve your problem

in the forum.

Comment 5 datahal42 2011-03-28 08:41:04 UTC
Matthias Runge : does uninstalling nspluginwrapper solve your problem.?

  yes.   the problem is nspluginwrapper over firefox4.

I delete it. and works well.

Comment 6 datahal42 2011-03-28 23:27:43 UTC
1- my system is 64 bit , eagleton 32 bit

2- FF4 64-bit binary mozilla with 64 bit flashplayer beta ,there is no problem to enter Al Jazeera (eagleton problem) but to enter with nspluginwrapper and 32bit
flashplayer yes. (the only eagleton problem is to enter al Jazeera)

3-the problems with flash applets and the ads disappear when you delete
nspluginwrapper

4- the problem happens in mozilla binary, spots, remi, 32 and 64 bit etc.

5 - ubuntu debian and gentoo have the same problem, I believe that all (whith nspluginwrapper.

6 - There are not many reports, because they use adblock plus:))

7 - yes. I am absolutely sure that the problem is the nspluginwrapper

Comment 7 datahal42 2011-04-01 06:50:10 UTC
I think the problem may be in seed...........

Comment 8 datahal42 2011-04-01 06:57:14 UTC
the problem is in the javascript + flash applets ........

datahal42 = neo.  so there is no confusion :)

Comment 9 datahal42 2011-04-01 07:00:28 UTC
seed + nspluginwrapper.

Comment 10 datahal42 2011-04-01 07:59:09 UTC
I know that sounds stupid, but I think there is something that bothers with gecko

Comment 11 Matěj Cepl 2011-04-05 23:33:19 UTC
(In reply to comment #7)
> I think the problem may be in seed...........

you mean gjs? If not, what do you mean?

Comment 12 datahal42 2011-04-06 10:40:22 UTC
yes, I think the problem is there, I'm not sure. but it is a good start
to find the solution.

http://live.gnome.org/Gjs/

Comment 13 datahal42 2011-04-06 11:00:08 UTC
the problem is in java script interpreter, just look at the problems.
embedded flash player javascript.

Comment 14 datahal42 2011-04-06 11:28:00 UTC
and applets flash , only with nspluginwrapper. "Javascript binding".

I have no time to find the solution, but it is an interesting problem.
 
if I have reason, you can send me an email.

Comment 15 rvcsaba 2011-04-07 12:04:14 UTC
I use Fedora 15, firefox-4.0-3.fc15.x86_64. I uninstall nspluginwrapper - both 32 and 64 bit version -, and uninstall 32 bit flash-plugin.

I installed 64 bit flash plugin: http://pkgs.org/fedora-15/atrpms-bleeding-x86_64/flash-plugin-10.2-1.x86_64.rpm.html

Restart my browser, and work it correctly. :)

(Sorry my very bad english...)

Comment 16 datahal42 2011-04-07 13:42:13 UTC
is not a solution . flash square need synchronization problem with ff4 

e.g (metacafe) no matter if it is adobe , atrpms , etc , 

without nspluginwrapper can not go forward or backward

Comment 17 datahal42 2011-04-07 13:50:03 UTC
only solution for 64bit system that solves all problem  now .  install ff4 32bit no matter what, whitout xulrunner2 + 32 bit dependencies.

Comment 18 datahal42 2011-04-07 13:50:51 UTC
and delete ""nspluginwrapper""

Comment 19 rvcsaba 2011-04-07 14:49:04 UTC
(In reply to comment #17)
> only solution for 64bit system

rpm -q firefox flash-plugin
firefox-4.0-3.fc15.x86_64
flash-plugin-10.2-1.x86_64

My flash plugin native 64 bit application.

> and delete ""nspluginwrapper""

I uninstalled it.

(You and I say the same.)

Comment 20 datahal42 2011-04-07 15:10:26 UTC
yes , but xulrunner2 have problems with applications including  f15 e.g. chmsee for f15.

Comment 21 Matěj Cepl 2011-04-08 07:26:18 UTC
(In reply to comment #12)
> yes, I think the problem is there, I'm not sure. but it is a good start
> to find the solution.
> 
> http://live.gnome.org/Gjs/

a) gjs has nothing to do with what runs inside of firefox; these are Gnome external bindings for Javascript engine used by both gnome-shell and firefox
b) saying that the problem has something to do with Javascript in Firefox is like saying that a computer bug has something to do with programming; most of the Firefox is in Javascript, so this doesn’t bring us much insight.
c) nspluginwrapper is very complicated technology with a very weak upstream, which unfortunately we have to keep around, because there is no supported 64bit flash-plugin (the one you see suggested from http://labs.adobe.com/technologies/flashplayer10/square/ was last updated in February and before that almost half a year before, given the pace of security and other kind of updates in flash, it is not something we want to rely on)

We are trying to do our best considering the circumstances.

Comment 22 Matěj Cepl 2011-04-08 08:02:52 UTC
http://gizmodo.com/#!5659576/watch-the-sikorsky-x2-breaking-the-worlds-helicopter-speed-record mentioned in https://bugzilla.mozilla.org/show_bug.cgi?id=603397 is a very mild example of what I see sometimes on other sites.

CNN video is usually much worse (e.g., http://edition.cnn.com/2011/WORLD/africa/04/07/libya.war/index.html?hpt=T1), http://www.fox.com/ doesn't allow me to run any videos from here (but even their flash menu on the top shows this issue as well), http://www.pbs.org/newshour/bb/world/jan-june11/france2_04-07.html is pretty bad (black rectangle over the middle of the video)

The problem seems to be limited to videos. For example flash games (e.g., http://www.girlsgogames.com/game/cinnamon_roll_brunch.html ... yes, I have a small daughter, why do you ask? ;)) seem to work without any problems.

Using

flash-plugin-10.2.153.1-release.i386
nspluginwrapper-1.3.0-18.fc15.x86_64
nspluginwrapper-1.3.0-18.fc15.i686
xulrunner-2.0-2.fc15.x86_64
firefox-4.0-3.fc15.x86_64

Comment 23 rvcsaba 2011-04-08 09:25:38 UTC
(In reply to comment #21)
> c) nspluginwrapper is very complicated technology with a very weak upstream,
> which unfortunately we have to keep around, because there is no supported 64bit
> flash-plugin (the one you see suggested from
> http://labs.adobe.com/technologies/flashplayer10/square/ was last updated in
> February and before that almost half a year before, given the pace of security
> and other kind of updates in flash, it is not something we want to rely on)

64 bit flash player is security risk, but workaround.

> We are trying to do our best considering the circumstances.

Thanks.

Comment 24 datahal42 2011-04-08 09:35:38 UTC
yes, thats a big problem

Comment 25 David Benjamin 2011-04-13 21:27:28 UTC
It appears this is actually a Firefox bug (or if not bug an oddity). They request a NP_GetValue variable through NPP_GetValue to determine whether or not to apply a Flash-specific quirk. I've worked around it with this patch.

https://github.com/davidben/nspluginwrapper/commit/ca88c7b1a3d2b02b238e0520e15b02f1b89af1b5

Comment 26 Fedora Update System 2011-05-04 10:20:54 UTC
nspluginwrapper-1.3.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/nspluginwrapper-1.3.2-1.fc15

Comment 27 Martin Stransky 2011-05-04 10:21:38 UTC
nspluginwrapper-1.3.2-1.fc15 contains the fix from https://github.com/davidben/nspluginwrapper/commit/ca88c7b1a3d2b02b238e0520e15b02f1b89af1b5

Comment 28 rvcsaba 2011-05-04 12:40:18 UTC
This version can't solved a problem. (Flickering rectangles.)

:(

Comment 29 David Benjamin 2011-05-04 12:55:40 UTC
Which page are you seeing flickering rectangles on? I'm not able to reproduce them on the URLs in this report.

Comment 30 rvcsaba 2011-05-04 13:19:22 UTC
http://index.hu/index.html

Look at the end of the page.

Comment 31 rvcsaba 2011-05-04 13:54:03 UTC
Created attachment 496795 [details]
Flash flickering example

I tested this a 32 bit machine. If I use nspluginwrapper, flickering; and if I don't use nspluginwrapper, no flicker.

Comment 32 David Benjamin 2011-05-04 14:20:39 UTC
Hrm. It works for me here, and that looks somewhat like the bug the patch fixed (well, worked around; at some point I'll send a patch to Mozilla to fix the quirk on their end). Flash interprets some coordinates funny so Firefox and Chrome both have a Flash-specific quirk that offsets them. The way Firefox was detecting Flash missed nspluginwrapper; they queried a variable wrong, but Flash happened to let it through anyway. As a result, some drawing ends up in the wrong place.

Are you sure you are running with 1.3.2? It appears to only be a "pending" update for now, so you may need to pull it manually? (I'm not totally familiar with how Fedora's updates work.) You should see something like

*** NSPlugin Wrapper *** WARNING: browser requested NP_GetValue variable via NPP_GetValue.

on the terminal where you start Firefox 4.

Comment 33 rvcsaba 2011-05-04 15:15:25 UTC
Oh, I'm very sorry! I changed from 64 bit flash-plugin to 32 bit flash-plugin, and I installed nspuginwrapper OLD version.

Now I tested this problem a NEW - nspluginwrapper-1.3.2-1.fc15 - version, and solved this problem. Thank you!

(Sorry, my comment 28 is false.)

Comment 34 Fedora Update System 2011-05-05 04:42:21 UTC
Package nspluginwrapper-1.3.2-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nspluginwrapper-1.3.2-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/nspluginwrapper-1.3.2-1.fc15
then log in and leave karma (feedback).

Comment 35 Gilboa Davara 2011-05-06 10:14:53 UTC
And chance of pushing it as a F14 update (for those using spot's FF4 repo?)

Comment 36 datahal42 2011-05-07 06:31:56 UTC
im testing the new version of the nsplugin on fedora 14 + mozilla ff4.0.1 64 bit

the bug was solved .


i build the new nsplugin (nspluginwrapper-1.3.2-1) but it conflicts

with versions 32 and 64 bit (nsplugin 32 + 64 bit)

 I installed rpm -i --nodeps --force .

how resolve this comflics?

Comment 37 datahal42 2011-05-07 06:42:46 UTC
I build the nspluginwrapper-1.3.2-1 for fedora 14

works excelent but need install "rpm -i --nodeps --force"

conflicts between nspluginwrapper 64bit and 32 bit

Comment 38 datahal42 2011-05-07 09:12:54 UTC
the problem with nspluginwrapper-1.3.2-1 ( conflicts between nspluginwrapper 64bit and 32 bit)  I  solved the problem ,I built the 64-bit version with mock 

now all works fine .
Why is not in koji for fedora 14 and 13 ? any problem even ff 3.6

also I build for my rhl clone (sl6) again work fine.
I need upload for fedora 14 in dropdox ? 

nspluginwrapper-1.3.2-1.fc14.src.rpm
nspluginwrapper-1.3.2-1.fc14.x86_64.rpm
nspluginwrapper-1.3.2-1.fc14.i686.rpm 
nspluginwrapper-debuginfo-1.3.2-1.fc14.x86_64.rpm

Comment 39 Fedora Update System 2011-05-10 03:31:41 UTC
nspluginwrapper-1.3.2-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 40 Fedora Update System 2011-05-12 12:13:05 UTC
nspluginwrapper-1.3.2-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/nspluginwrapper-1.3.2-1.fc14

Comment 41 Fedora Update System 2011-05-12 12:13:25 UTC
nspluginwrapper-1.3.2-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/nspluginwrapper-1.3.2-1.fc13

Comment 42 Fedora Update System 2011-06-07 04:32:40 UTC
nspluginwrapper-1.3.2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 43 Fedora Update System 2011-06-07 04:40:25 UTC
nspluginwrapper-1.3.2-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 44 jose maturana 2011-06-08 23:37:15 UTC
I'm in fedora 14 x64, with nspluginwrapper-1.3.2-1.fc14 /flash-plugin-10.3.181.22 installed and firefox 4.0.1 x64 from fedora spot repo. Lately, firefox has been very slow, and i think this happen since the last flash and nspluginwrapper update. Some white boxes and flickering are solved now, but firefox gets stuck (before it doesn't) and viewing atop, this shows some  xulrunner-bin peaks of 50% cpu usage or more every 10 seconds or so. For example, while i was writing this comment, every 10-15  seconds firefox gets stuck for few seconds (3-5). I get dozens of this warning messages  too:
     
 *** NSPlugin Wrapper *** WARNING: browser requested NP_GetValue variable via NPP_GetValue.

With this behaviour, firefox is unusable
(firefox 4.0.1 from remi is the same)

I didn't get this with firefox 4.0.0 , but my update to 4.0.1 coincided with nspluginwrapper and flash update.

Comment 45 David Benjamin 2011-06-09 06:09:14 UTC
The warning message is harmless. It's a bug in Firefox I had to workaround to fix Flash in Firefox 4. I believe they've fixed it upstream in the branch for 5.0 or 6.0.

Could you run Firefox with NPW_DEBUG=1 NPW_LOG=nspluginwrapper.log and attach the resulting nspluginwrapper.log?

Comment 46 Diego Calleja 2011-07-01 21:21:05 UTC
Created attachment 510942 [details]
nspluginwrapper debug log

I recently suffered this problem, it has not been fixed AFAICS.

This is really weird. David, when I run "NPW_DEBUG=1 NPW_LOG=nspluginwrapper.log firefox", the (wrapped) flash plugin doesn't work, and nspluginwrapper.log only gets a line saying "*** NSPlugin Wrapper *** plugin_exit". But when I run it without the NPW_LOG option, I get a lot of output in the console (which I have cutted and pasted and attached here). BTW, I'm using nspluginwrapper-1.3.2-1.fc15.x86_64/i686.

Even more weird is what is happening in my system: flash was working just fine, without any problems, using the official adobe plugin and nspluginwrapper. I decided to cleanup some of my personal hidden directories ($HOME/.*): .kde, .local, .cache, .config, /var/tmp/kdecache-diego...and when I started a new session flash was not working anymore. I didn't touch anything related to firefox and/or nspluginwrapper or anything in the rest of the system.

Comment 47 datahal42 2011-07-02 01:08:42 UTC
i checked your video http://www.youtube.com/watch?v=xdCrZfTkG1c&feature=relate

any problem , any issues  for f15 64bit, but now i use nsplug 1.4.2 for anothers issues.

look this site:

http://nspluginwrapper.org/


Note You need to log in before you can comment on or make changes to this bug.